## ros-rolling-examples-rclcpp-wait-set 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(examples_rclcpp_wait_set)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(example_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(std_msgs REQUIRED)

include_directories(include)

add_library(talker SHARED src/talker.cpp)
target_compile_definitions(talker PRIVATE WAIT_SET_DLL)
ament_target_dependencies(talker rclcpp rclcpp_components std_msgs)
rclcpp_components_register_node(
    talker
    PLUGIN "Talker"
    EXECUTABLE wait_set_talker)

add_library(listener SHARED src/listener.cpp)
target_compile_definitions(listener PRIVATE WAIT_SET_DLL)
ament_target_dependencies(listener rclcpp rclcpp_components std_msgs)
rclcpp_components_register_node(
    listener
    PLUGIN "Listener"
    EXECUTABLE wait_set_listener)

add_executable(wait_set src/wait_set.cpp)
ament_target_dependencies(wait_set example_interfaces rclcpp std_msgs)

add_executable(static_wait_set src/static_wait_set.cpp)
ament_target_dependencies(static_wait_set rclcpp std_msgs)

add_executable(thread_safe_wait_set src/thread_safe_wait_set.cpp)
ament_target_dependencies(thread_safe_wait_set example_interfaces rclcpp std_msgs)

add_executable(wait_set_topics_and_timer src/wait_set_topics_and_timer.cpp)
ament_target_dependencies(wait_set_topics_and_timer rclcpp std_msgs)

add_executable(wait_set_random_order src/wait_set_random_order.cpp)
ament_target_dependencies(wait_set_random_order rclcpp std_msgs)

add_executable(executor_random_order src/executor_random_order.cpp)
ament_target_dependencies(executor_random_order rclcpp std_msgs)

add_executable(wait_set_topics_with_different_rates src/wait_set_topics_with_different_rates.cpp)
ament_target_dependencies(wait_set_topics_with_different_rates rclcpp std_msgs)

add_executable(wait_set_composed src/wait_set_composed.cpp)
target_link_libraries(wait_set_composed talker listener)
ament_target_dependencies(wait_set_composed rclcpp)

install(TARGETS
    talker
    listener
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
)

install(TARGETS
  wait_set
  static_wait_set
  thread_safe_wait_set
  wait_set_topics_and_timer
  wait_set_random_order
  executor_random_order
  wait_set_topics_with_different_rates
  wait_set_composed
  DESTINATION lib/${PROJECT_NAME}
)
ament_package()

=== debian/changelog ===
ros-rolling-examples-rclcpp-wait-set (0.14.0-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.13.0-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.12.0-1focal) focal; urgency=high

  * Add wait set examples (#315 <https://github.com/ros2/examples/issues/315>)
  * Contributors: carlossvg

 -- William Woodall <william@openrobotics.org>  Thu, 05 Aug 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-examples-rclcpp-wait-set
Section: misc
Priority: optional
Maintainer: William Woodall <william@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-example-interfaces, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-examples-rclcpp-wait-set
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-example-interfaces, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Example of how to use the rclcpp::WaitSet directly.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-examples-rclcpp-wait-set//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-examples-rclcpp-wait-set 0.19.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
 project(examples_rclcpp_wait_set)
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
@@ -78,4 +79,10 @@
   wait_set_composed
   DESTINATION lib/${PROJECT_NAME}
 )
+
+if(BUILD_TESTING)
+  find_package(ament_lint_auto REQUIRED)
+  ament_lint_auto_find_test_dependencies()
+endif()
+
 ament_package()

=== debian/changelog ===
ros-rolling-examples-rclcpp-wait-set (0.19.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.18.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.17.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.17.0-1jammy) jammy; urgency=high

  * Update the examples to C++17. (#353 <https://github.com/ros2/examples/issues/353>)
  * [rolling] Update maintainers - 2022-11-07 (#352 <https://github.com/ros2/examples/issues/352>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.16.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.16.1-1jammy) jammy; urgency=high

  * Add test linting to wait_set and fix issues. (#346 <https://github.com/ros2/examples/issues/346>) (#347 <https://github.com/ros2/examples/issues/347>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.16.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.15.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Oct 2021 00:00:00 -0000

ros-rolling-examples-rclcpp-wait-set (0.12.0-1jammy) jammy; urgency=high

  * Add wait set examples (#315 <https://github.com/ros2/examples/issues/315>)
  * Contributors: carlossvg

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 05 Aug 2021 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-rolling-examples-rclcpp-wait-set
 Section: misc
 Priority: optional
-Maintainer: William Woodall <william@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-example-interfaces, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-std-msgs, ros-rolling-ros-workspace
+Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-example-interfaces, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-std-msgs, ros-rolling-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
